org.eclipse.jetty.util.preventers

## Class DOMLeakPreventer

- java.lang.Object
- - org.eclipse.jetty.util.component.AbstractLifeCycle
  - - org.eclipse.jetty.util.preventers.AbstractLeakPreventer
    - - org.eclipse.jetty.util.preventers.DOMLeakPreventer

All Implemented Interfaces:
  LifeCycle

    public class DOMLeakPreventer
    extends AbstractLeakPreventer

DOMLeakPreventer See http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6916498 Prevent the RuntimeException that is a static member of AbstractDOMParser from pinning a webapp classloader by causing it to be set here by a non-webapp classloader. Note that according to the bug report, a heap dump may not identify the GCRoot, making it difficult to identify the cause of the leak.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`AbstractLifeCycle.AbstractLifeCycleListener`

### Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle

`LifeCycle.Listener`

### Field Summary

### Fields inherited from class org.eclipse.jetty.util.preventers.AbstractLeakPreventer

`LOG`

### Fields inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`_listeners, FAILED, RUNNING, STARTED, STARTING, STOPPED, STOPPING`

### Constructor Summary

Constructors
Constructor and Description
`DOMLeakPreventer()`

### Method Summary

Methods
`void` `prevent(ClassLoader loader)`

### Methods inherited from class org.eclipse.jetty.util.preventers.AbstractLeakPreventer

`doStart`

### Methods inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`addLifeCycleListener, doStop, getState, getState, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DOMLeakPreventer

    public DOMLeakPreventer()

### Method Detail

#### prevent

    public void prevent(ClassLoader loader)

Specified by:
  `prevent` in class `AbstractLeakPreventer`
See Also:
  `AbstractLeakPreventer.prevent(java.lang.ClassLoader)`